%define module	DBI
%define name	perl-%{module}
%define version	1.52
%define release	%mkrel 1

Summary:	The Perl Database Interface
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Requires:	perl
URL:		http://dbi.perl.org/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/DBI/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(Storable) >= 1
BuildRequires:	perl(Test::Simple) >= 0.4

Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Perl Database Interface (DBI) is a database access Application Programming
Interface (API) for the Perl Language. The Perl DBI API specification defines a
set of functions, variables and conventions that provide a consistent database
interface independent of the actual database being used.

%package	proxy
Group:		Development/Perl
Summary: 	DBI proxy server and client
Requires:	%{name} = %{version}

%description	proxy
DBI::ProxyServer is a module for implementing a proxy for the DBI
proxy driver, DBD::Proxy.
DBD::Proxy is a Perl module for connecting to a database via a remote
DBI driver.

%package	ProfileDumper-Apache
Group:		Development/Perl
Summary: 	DBI profiling data for mod_perl
Requires:	%{name} = %{version}

%description ProfileDumper-Apache
This module interfaces DBI::ProfileDumper to Apache/mod_perl. Using this
module you can collect profiling data from mod_perl applications. It
works by creating a DBI::ProfileDumper data file for each Apache
process. These files are created in your Apache log directory. You can
then use dbiprof to analyze the profile files.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%__make CFLAGS="%{optflags}"

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

# remove Win32 stuff
rm -rf %{buildroot}%{perl_vendorarch}/Win32
rm -f %{buildroot}%{perl_vendorarch}/DBI/W32ODBC.pm
rm -f %{buildroot}%{perl_vendorarch}/Roadmap.pod
rm -f %{buildroot}%{perl_vendorarch}/DBI/Roadmap.pm
rm -f %{buildroot}%{_mandir}/man3*/Win32::DBIODBC.3pm*
rm -f %{buildroot}%{_mandir}/man3*/DBI::W32ODBC.3pm*
rm -f %{buildroot}%{_mandir}/man3*/Roadmap.3pm*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README ToDo Roadmap.pod
%{_bindir}/dbiprof
%{_mandir}/*/*
%exclude %{_mandir}/man1/dbiproxy.1*
%exclude %{_mandir}/man3*/DBD::Proxy.3pm*
%exclude %{_mandir}/man3*/DBI::ProxyServer.3pm*
%exclude %{_mandir}/man3*/DBI::ProfileDumper::Apache.3pm*
%{perl_vendorarch}/Bundle
%{perl_vendorarch}/DBD
%exclude %{perl_vendorarch}/DBD/Proxy.pm
%{perl_vendorarch}/DBI.pm
%{perl_vendorarch}/DBI
%exclude %{perl_vendorarch}/DBI/ProfileDumper
%exclude %{perl_vendorarch}/DBI/ProxyServer.pm
%{perl_vendorarch}/auto/DBI

%files proxy
%defattr(-,root,root)
%{_bindir}/dbiproxy
%{perl_vendorarch}/DBD/Proxy.pm
%{perl_vendorarch}/DBI/ProxyServer.pm
%{_mandir}/man1/dbiproxy.1.*
%{_mandir}/man3*/DBI::ProxyServer.3pm.*
%{_mandir}/man3*/DBD::Proxy.3pm.*

%files ProfileDumper-Apache
%defattr(-,root,root)
%{perl_vendorarch}/DBI/ProfileDumper
%{_mandir}/man3*/DBI::ProfileDumper::Apache.3pm.*


%changelog
* Wed Aug 09 2006 rafael
+ 08/09/06 08:06:22 (54645)
1.52

* Wed Aug 09 2006 rafael
+ 08/09/06 08:03:59 (54644)
Import perl-DBI

* Wed Jun 14 2006 Scott Karns <scottk@mandriva.org> 1.51-1mdv2007.0
- 1.51

* Sat May 06 2006 Scott Karns <scottk@mandriva.org> 1.50-3mdk
- Remove mdkversion conditional surrounding BuildRequires perl-devel.
  (Needed for arch specific perl packages.)

* Fri May 05 2006 Scott Karns <scottk@mandriva.org> 1.50-2mdk
- Updated BuildRequires, source URL

* Thu Dec 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.50-1mdk
- 1.50

* Wed Nov 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.49-1mdk
- 1.49

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.48-1mdk
- 1.48
- Remove requires on release for subpackages

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.47-1mdk
- 1.47

* Fri Nov 26 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.46-1mdk
- 1.46

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.45-2mdk
- rebuild for new perl

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.45-1mdk
- New version 1.45.
- Add Tim's development roadmap to docs, but not in perl's install tree.
- Remove manpages of Windows-specific modules (not installed)

* Wed Jul 28 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.43-2mdk
- Rebuild for new perl.
- Description nits.

* Mon Jul 05 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.43-1mdk
- 1.43

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.42-1mdk
- 1.42
- use %%make and %%makeinstall_std macro
- drop prefix
- spec cosmetics

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.40-2mdk
- rebuild
 

* Fri Jan 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.40-1mdk
- new version

* Sat Nov 29 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.39-1mdk
- 1.39

* Sat Aug 23 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.38-1mdk
- 1.38
- dropped patch

* Fri Aug 01 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.37-3mdk
- Remove flawed (arch-)dependent test fixed in DBI 1.38

* Fri May 16 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.37-2mdk
- splitted proxy and ProfileDumper subpackage for dependencies
- removed useless Win32 code

* Fri May 16 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.37-1mdk
- 1.37

* Tue Apr 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.35-1mdk
- 1.35

* Mon Dec 02 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.32-1mdk
- 1.32

* Sat Nov 30 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.31-1mdk
- 1.31
- added forgottent binaries

* Mon Aug 05 2002 Pixel <pixel@mandrakesoft.com> 1.30-2mdk
- rebuild for perl thread-multi

* Fri Jul 19 2002 Franois Pons <fpons@mandrakesoft.com> 1.30-1mdk
- 1.30.

* Tue Jul 09 2002 Pixel <pixel@mandrakesoft.com> 1.25-2mdk
- rebuild for perl 5.8.0

* Mon Jun 10 2002 Franois Pons <fpons@mandrakesoft.com> 1.25-1mdk
- 1.25.

* Tue May 28 2002 Franois Pons <fpons@mandrakesoft.com> 1.23-1mdk
- 1.23.

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.21-1mdk
- 1.21.

* Wed Nov 07 2001 Franois Pons <fpons@mandrakesoft.com> 1.20-3mdk
- added url tag.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.20-2mdk
- BuildRequires: perl-devel

* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.20-1mdk
- 1.20.

* Fri Aug 24 2001 Franois Pons <fpons@mandrakesoft.com> 1.19-1mdk
- 1.19.

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 1.18-1mdk
- 1.18.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.14-6mdk
- Rebuild against the latest perl.

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 1.14-5mdk
- description typo fix.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.14-4mdk
- removed make macro (-j x gets mad with x > 1).
- simplification of files.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.14-3mdk
- macroszifications.
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.14-2mdk
- forgot dbipport.h in files.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.14-1mdk
- added requires.
- 1.14.

* Fri Jul 07 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13-4mdk
- FIx build as user.

* Wed May 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.13-3mdk
- Fix build for i486

* Mon Apr 03 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.13-2mdk
- fixed group
- rebuild with new perl
- fixed location

* Sun Dec 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- First specfile

